Bug 136076 - apm resume sometimes has borked keyboard driver on Thinkpad T41p
apm resume sometimes has borked keyboard driver on Thinkpad T41p
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 12:32 EDT by Russell Coker
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 01:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant data from /var/log/messages (9.73 KB, text/plain)
2004-10-17 12:34 EDT, Russell Coker
no flags Details

  None (edit)
Description Russell Coker 2004-10-17 12:32:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
It is quite repeatable that my keyboard input gets borked after an APM resume.  If I want to trigger this the way to do it is to repeatedly suspend and resume, triggering a suspend event before the resume has completed (by opening the lid for about 2 seconds before shutting it again) seems to reliably reproduce this.

I will attach all parts of the kernel message log that seem remotely related to the problem.  The kernel Oops is more difficult to reproduce, usually the keyboard problem does not seem associated with the Oops.



Version-Release number of selected component (if applicable):
kernel-2.6.8-1.624

How reproducible:
Sometimes

Steps to Reproduce:
Open and close the lid of the Thinkpad a few times.  Note that an xterm will suddenly get lots of garbage text appearing in it and the system will not have a functioning keyboard until after a reboot.    

Additional info:
Comment 1 Russell Coker 2004-10-17 12:34:15 EDT
Created attachment 105352 [details]
Relevant data from /var/log/messages
Comment 2 Dave Jones 2005-10-05 23:40:19 EDT
How are things with current releases ? Any improvement ?
Comment 3 Russell Coker 2005-10-06 01:01:14 EDT
Last time I tried it APM would kill my machine reliably and ACPI didn't work  
properly (probably a configuration issue).  So I am not in a position to test 
this.  
  
I've closed the bug.  I'll open a new one if I have future ACPI problems. 

Note You need to log in before you can comment on or make changes to this bug.